# optimap: An open-source library for processing fluorescence video data
[![docs](https://github.com/cardiacvision/optimap/actions/workflows/docs.yml/badge.svg)](https://cardiacvision.github.io/optimap/)
[![tests](https://github.com/cardiacvision/optimap/actions/workflows/main.yml/badge.svg)](https://github.com/cardiacvision/optimap/actions/workflows/main.yml)
[![PyPI](https://img.shields.io/pypi/v/optimap.svg)](https://pypi.org/project/optimap/)
[![Supported Python versions](https://img.shields.io/pypi/pyversions/optimap.svg)](https://python.org)
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.8336455.svg)](https://doi.org/10.5281/zenodo.13922150)

optimap is an open-source Python toolbox for exploring, visualizing, and analyzing high-speed fluorescence imaging data with a focus on cardiac optical mapping data.

**The `opticalmapping` package name is now deprecated. Please switch to the new and improved [`optimap`](https://pypi.org/project/optimap/) package and see the documentation there!**

### Upgrade from existing `opticalmapping` installation

If you have installed `opticalmapping`, here's how to upgrade to the new `optimap` package:

1. Uninstall the old `opticalmapping` package:
```bash
pip uninstall opticalmapping
```

2. Install the new `optimap` package:
```bash
pip install optimap
```